[SCM] exiv2 packaging branch, master, updated. debian/0.25-3.1-3734-gdcbc29a

Maximiliano Curia maxy at moszumanska.debian.org
Thu Jul 13 17:47:13 UTC 2017


Gitweb-URL: http://git.debian.org/?p=pkg-kde/kde-extras/exiv2.git;a=commitdiff;h=551223e

The following commit has been merged in the master branch:
commit 551223ec926ea7a815248c7d23a6a5d1ee67fbd0
Author: Robin Mills <robin at clanmills.com>
Date:   Tue Oct 18 16:07:22 2016 +0000

    #1240 Strengthened test/http-test.
---
 test/data/http-test.out |  5 +++++
 test/http-test.sh       | 56 +++++++++++++++++++++++++++++--------------------
 2 files changed, 38 insertions(+), 23 deletions(-)

diff --git a/test/data/http-test.out b/test/data/http-test.out
index cc2d528..8441ca4 100644
--- a/test/data/http-test.out
+++ b/test/data/http-test.out
@@ -3,5 +3,10 @@ Exif.Image.Software                          Ascii      40  Adobe Photoshop Elem
 ReaganLargePng.png
 Exif.Image.Software                          Ascii      11  GIMP 2.9.5
 ReaganLargeTiff.tiff
+Exif.Image.Software                          Ascii      11  GIMP 2.9.5
 ReaganLargeJpg.jpg
 Exif.Image.Software                          Ascii      12  GIMP 2.8.18
+Reagan.tiff
+Exif.Image.Software                          Ascii      29  Adobe Photoshop CS Macintosh
+DSC_0002.NEF
+Exif.Image.Software                          Ascii      10  Ver.1.00 
diff --git a/test/http-test.sh b/test/http-test.sh
index 5b09fdf..eadce3a 100755
--- a/test/http-test.sh
+++ b/test/http-test.sh
@@ -1,35 +1,45 @@
 #!/bin/bash
-# Test driver for http
+# Test driver for http/https
 
 source ./functions.source
-cd "$testdir"
+pushd "$testdir" 2>/dev/null
+
+recursive=$1
 
 server=exiv2.dyndns.org
 dir=userContent/testfiles/webready
-hosts="http://$server:8080"
+host="http://$server:8080"
+
+if [ ! -z "$recursive" ]; then
+	if [ $(runTest exiv2 -vVg curlproto | grep -q https ; echo $?) == "0" ]; then
+    	host="https://$server:8443"
+	else
+    	echo "*** https is not a supported protocol - test skipped ***"
+    	exit 0
+	fi
+fi
+
+echo 'server: ' $host
+
+(
+    for filename in Reagan.jpg ReaganLargePng.png ReaganLargeTiff.tiff ReaganLargeJpg.jpg Reagan.tiff DSC_0002.NEF ; do
+        echo $filename
+        runTest exiv2 -pa --grep Software $host/$dir/$filename
+    done
+) 2>&1 > $results
+
+# ----------------------------------------------------------------------
+# Evaluate results
+cat $results | tr -d $'
' > $results-stripped
+mv                           $results-stripped $results
+reportTest                                     $results $good
+
+popd 2>/dev/null
 
-if [ $(runTest exiv2 -vVg curlproto | grep -q https ; echo $?) == "0" ]; then
-    hosts="https://$server:8443"
-else
-    echo "https is not a supported protocol"
+if [ -z "$recursive" ]; then
+	$0 1
 fi
 
-(   (   for host in $hosts ; do
-            printf "$host " >&3
-            for filename in Reagan.jpg ReaganLargePng.png ReaganLargeTiff.tiff ReaganLargeJpg.jpg; do
-                echo $filename
-                runTest exiv2 -pa --grep Software $host/$dir/$filename
-            done
-        done
-    ) 2>&1 > $results
-
-    # ----------------------------------------------------------------------
-    # Evaluate results
-    cat $results | tr -d $'
' > $results-stripped
-    mv                           $results-stripped $results
-    reportTest                                     $results $good
-) 3>&1
-printf "
"
 
 
 # That's all Folks!

-- 
exiv2 packaging



More information about the pkg-kde-commits mailing list